New Search

Safe.PM Unsafe Code Execution Vulnerability

oval:org.mitre.oval:def:1160

Safe.pm 2.0.7 and earlier when used in Perl 5.8.0 and earlier may allow attackers to break out of safe compartments in (1) Safe::reval or (2) Safe::rdo using a redefined @_ variable which is not reset between successive calls.

Family:
unix
Status:
ACCEPTED
Platform(s):
  • Sun Solaris 8
  • Sun Solaris 9
Class:
vulnerability
Reference(s):
  • CVE-2002-1323
Product(s):
  • Perl